<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:pf="http://primefaces.org/ui">
<h:body role="document">
	<ui:composition template="../templates/main.xhtml">
		<ui:define name="metadata">
			<f:metadata>
				<f:viewParam name="id" value="#{runAction.id}" />
				<f:viewAction action="#{runAction.load}" />
			</f:metadata>
		</ui:define>

		<ui:define name="title">${localized.titleLogAll}</ui:define>

		<ui:define name="content">
			<h:form id="formPoll">
				<h:panelGroup id="pageHeader">
					<div class="page-header">
						<div class="row">
							<div class="col-md-8">
								<h1>
									${run.harvester.name}
								</h1>
							</div>

							<div class="col-md-4 text-right">
								<h2>
									<ui:fragment rendered="${run.runState == 'running'}">
										<span class="label label-success">${localized['runStatus' += run.runState.label]}</span>
									</ui:fragment>
									<ui:fragment rendered="${runAction.run.runState == 'finished'}">
										<span class="label label-info">${localized['runStatus' += run.runState.label]}</span>
									</ui:fragment>
									<ui:fragment rendered="${runAction.run.runState == 'error'}">
										<span class="label label-danger">${localized['runStatus' += run.runState.label]}</span>
									</ui:fragment>
									<ui:fragment rendered="${runAction.run.runState == 'interrupted'}">
										<span class="label label-default">${localized['runStatus' += run.runState.label]}</span>
									</ui:fragment>
								</h2>
							</div>
						</div>
					</div>
				</h:panelGroup>

				<div class="row">
					<div class="col-md-4">
						<h:commandLink styleClass="btn btn-info"
							action="#{harvesterAction.show(runAction.run.harvester)}">
							<span style="vertical-align: middle;"
								class="glyphicon glyphicon-eye-open" />
							<span style="vertical-align: middle;">
								${localized.titleHarvesterSingular}</span>
							<f:ajax />
						</h:commandLink>
					</div>
					<div class="col-md-4 text-center">
						<p class="lead">
							<span style="vertical-align: middle;">${runAction.run.harvester.source.repositoryType.label}</span>
							<span
								style="vertical-align: middle; margin-left: 10px; margin-right: 10px;"
								class="glyphicon glyphicon-random" /> <span
								style="vertical-align: middle;">${runAction.run.harvester.target.repositoryType.label}</span>
						</p>
					</div>
					<div class="col-md-4 text-right">
						<ui:fragment
							rendered="${runAction.status == 'running' and runAction.run.harvester.owner == identity.account.id}">
							<h:commandButton styleClass="btn btn-warning"
								action="#{runAction.stop()}" value="${localized.buttonMiscStop}">
								<f:ajax />
							</h:commandButton>
						</ui:fragment>
						<ui:fragment
							rendered="${runAction.status != 'running' and runAction.run.harvester.owner == identity.account.id}">
							<h:commandButton styleClass="btn btn-danger"
								action="#{runAction.remove()}" value="${localized.buttonMiscDelete}">
								<f:ajax />
							</h:commandButton>
						</ui:fragment>
					</div>
				</div>

				<div class="well">
					<div class="row">
						<div class="col-md-4">
							<h:outputText value="${runAction.run.startTime}">
								<f:convertDateTime type="both" dateStyle="default"
									timeStyle="default" locale="#{appLocalization.localeCode}"
									timeZone="${appLocalization.timeZone}" />
							</h:outputText>
						</div>
						<div class="col-md-4 text-center">
							<ui:fragment rendered="${runAction.run.incremental}">
								<span class="glyphicon glyphicon-filter" style="font-size:0.8em; margin-right:5px;" title="${localized.inputIncremental}" />
							</ui:fragment>
							<h:outputText value="#{runAction.duration}" />
						</div>
						<div class="col-md-4 text-right">
							<h:outputText value="${runAction.run.endTime}">
								<f:convertDateTime type="both" dateStyle="default"
									timeStyle="default" timeZone="${appLocalization.timeZone}"
									locale="#{appLocalization.localeCode}" />
							</h:outputText>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-2">
						<div
							class="panel ${runAction.status == 'running' ? 'panel-success' : 'panel-info'}">
							<div class="panel-heading">
								${localized.labelRunProcessing}
							</div>
							<div class="panel-body">
								${runAction.processing}
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div
							class="panel ${runAction.status == 'running' ? 'panel-success' : 'panel-info'}">
							<div class="panel-heading">
								${localized.labelMiscDeleted}
							</div>
							<div class="panel-body">
								${runAction.deleted}
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div
							class="panel ${runAction.status == 'running' ? 'panel-success' : 'panel-info'}">
							<div class="panel-heading">
								${localized.labelRunAdded}
							</div>
							<div class="panel-body">
								${runAction.added}
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div
							class="panel ${runAction.status == 'running' ? 'panel-success' : 'panel-info'}">
							<div class="panel-heading">
								${localized.labelRunUpdated}
							</div>
							<div class="panel-body">
								${runAction.updated}
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div
							class="panel ${runAction.status == 'running' ? 'panel-success' : 'panel-info'}">
							<div class="panel-heading">
								${localized.labelRunSkipped}
							</div>
							<div class="panel-body">
								${runAction.skipped}
							</div>
						</div>
					</div>
					<div class="col-md-2">
						<div
							class="panel ${runAction.status == 'running' ? 'panel-success' : 'panel-info'}">
							<div class="panel-heading">
								${localized.labelRunRejected}
							</div>
							<div class="panel-body">
								${runAction.rejected}
							</div>
						</div>
					</div>
				</div>
				<hr/>
				<div class="row">
					<div class="col-md-3">
						<div class="input-group">
							<h:inputText styleClass="form-control"
								p:placeholder="${localized.placeholderSearchFor}"
								value="#{logController.searchTerm}" />

							<span class="input-group-btn"> <h:commandButton
									styleClass="btn btn-info form-control"
									action="#{logController.getFilteredLogs()}" value="${localized.buttonMiscGo}" />
							</span>
						</div>
					</div>
					<div class="col-md-9">
						<div class="btn-group">
							<label class="btn btn-info"> <h:selectBooleanCheckbox
									p:autocomplete="off" value="#{logController.infoLogs}">
									<f:ajax render="logTable" />
								</h:selectBooleanCheckbox> ${localized.labelLogSeverityInfoPlural}
							</label> <label class="btn btn-warning"> <h:selectBooleanCheckbox
									p:autocomplete="off" value="#{logController.warningLogs}">
									<f:ajax render="logTable" />
								</h:selectBooleanCheckbox> ${localized.labelLogSeverityWarningPlural}
							</label> <label class="btn btn-danger"> <h:selectBooleanCheckbox
									p:autocomplete="off" value="#{logController.errorLogs}">
									<f:ajax render="logTable" />
								</h:selectBooleanCheckbox> ${localized.labelLogSeverityErrorPlural}
							</label>
						</div>
						<span style="margin-left:25px;"/>
						<div class="btn-group">
							<label class="btn btn-default"> <h:selectBooleanCheckbox
									p:autocomplete="off" value="#{logController.systemLogs}">
									<f:ajax render="logTable" />
								</h:selectBooleanCheckbox> ${localized.categorySystem}
							</label> <label class="btn btn-default"> <h:selectBooleanCheckbox
									p:autocomplete="off" value="#{logController.connectionLogs}">
									<f:ajax render="logTable" />
								</h:selectBooleanCheckbox> ${localized.categoryConnection}
							</label> <label class="btn btn-default"> <h:selectBooleanCheckbox
									p:autocomplete="off"
									value="#{logController.transformationLogs}">
									<f:ajax render="logTable" />
								</h:selectBooleanCheckbox> ${localized.categoryTransformation}
							</label> <label class="btn btn-default"> <h:selectBooleanCheckbox
									p:autocomplete="off" value="#{logController.datasetLogs}">
									<f:ajax render="logTable" />
								</h:selectBooleanCheckbox> ${localized.categoryDataset}
							</label>
						</div>
					</div>
				</div>
				<hr />
				<h:panelGroup id="logTable">
					<h:dataTable class="table table-striped"
						columnClasses="col-md-1,col-md-1,col-md-1,col-md-7,col-md-2 text-right"
						value="#{logController.getFilteredLogs()}" var="log"
						rows="#{logController.getNumberOfRows()}">
						<h:column>
							<span class="glyphicon ${log.severity == 'info' ? 'glyphicon-info-sign text-info' : log.severity == 'warning' ? 'glyphicon-alert text-warning' : 'glyphicon-minus-sign text-danger'}" /> ${log.severity.label}
						</h:column>
						<h:column>
							${localized['serviceStage' += log.serviceStage.label]}
						</h:column>
						<h:column>
							${localized['category' += log.category.label]}
						</h:column>
						<h:column>
							${log.message}
							<ui:fragment rendered="${not empty log.attachment}">
								<h:commandLink styleClass="btn btn-info btn-xs"
									action="#{logAction.show(log, runAction.run.harvester)}">
									<span class="glyphicon glyphicon-paperclip" />
								</h:commandLink>
							</ui:fragment>
						</h:column>
						<h:column>
							${log.getReadableTimeStamp()}
						</h:column>
					</h:dataTable>
				</h:panelGroup>

				<h:panelGroup>
					<h:commandButton styleClass="btn btn-default"
						value="${localized.buttonLogMore}"
						action="#{logController.incrementNumberOfRows()}">
						<f:ajax render="logTable" />
					</h:commandButton>
				</h:panelGroup>

				<p />

			</h:form>

		</ui:define>

	</ui:composition>
</h:body>
</html>